> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Current User



## OpenAPI

````yaml /api/openapi-finindex.json get /api/v1/users/me
openapi: 3.1.0
info:
  title: Finindex API — ERP · Finance · Accounting
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/users/me:
    get:
      tags:
        - Users
      summary: Read Current User
      operationId: read_current_user_api_v1_users_me_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserProfileResponse'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    UserProfileResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        email:
          type: string
          title: Email
        role:
          type: string
          title: Role
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
        nickname:
          anyOf:
            - type: string
            - type: 'null'
          title: Nickname
        database:
          additionalProperties: true
          type: object
          title: Database
      type: object
      required:
        - id
        - name
        - email
        - role
      title: UserProfileResponse
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````